{% extends "admin/base_site.html" %}
{% load i18n admin_urls static admin_modify %}

{% load admin %}
{% load admin_campaign %}
{% load admin_task %}
{% load admin_worker_campaign %}
{% load admin_worker_task %}
{% load admin_worker %}

{% block title %} {{ page_title }} {% endblock title %}
{% block extrastyle %}
  {{ block.super }}
  <!-- jQuery Select2 -->
  <link rel="stylesheet" type="text/css" href='{% static "admin/vendors/select2/select2.min.css" %}' />
  <link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />
{% endblock %}
{% block javascripts %}
  {{ block.super }}
  <script src="/static/admin/js/custom_changeForm.min.js"></script>
{% endblock %}

{% block extrahead %}
  {{ block.super }}
  <script type="text/javascript" src="{% url 'admin:jsi18n' %}"></script>
  {{ media }}
  <!-- jQuery Select2 -->
  <script src='{% static "admin/vendors/select2/select2.min.js" %}' ></script>
{% endblock %}

{% block content %}
  {% if change %}
    {% if model_name == "campaign" %}
      <div class="row changeform-top">
        <div class="col-md-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>Statistics</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            
            {% getCampaignNumOfTasks original.pk as getCampaignNumOfTasks_result %}
            {% getCampaignNumOfTasksCompareToOther original.pk user.id as getCampaignNumOfTasksCompareToOther_result %}
            {% getCampaignNumOfWorkers original.pk as getCampaignNumOfWorkers_result %}
            {% getCampaignNumOfWorkersCompareToOther original.pk user.id as getCampaignNumOfWorkersCompareToOther_result %}
            {% getCampaignNumOfAnswers original.pk as getCampaignNumOfAnswers_result %}
            {% getCampaignNumOfAnswersCompareToOther original.pk user.id as getCampaignNumOfAnswersCompareToOther_result %}
            <div class="x_content">
              <div class="row statistics">
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-comment"></i> Tasks</span>
                  <div class="count">{{ getCampaignNumOfTasks_result }}</div>
                  <span class="count_bottom">
                    {% if getCampaignNumOfTasksCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getCampaignNumOfTasksCompareToOther_result.1 }}% </i> of the campaigns have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getCampaignNumOfTasksCompareToOther_result.1 }}% </i> of the campaigns have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-users"></i> Workers</span>
                  <div class="count">{{ getCampaignNumOfWorkers_result }}</div>
                  <span class="count_bottom">
                    {% if getCampaignNumOfWorkersCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getCampaignNumOfWorkersCompareToOther_result.1 }}% </i> of the campaigns have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getCampaignNumOfWorkersCompareToOther_result.1 }}% </i> of the campaigns have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-bullhorn"></i> Answers</span>
                  <div class="count">{{ getCampaignNumOfAnswers_result }}</div>
                  <span class="count_bottom">
                    {% if getCampaignNumOfAnswersCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getCampaignNumOfAnswersCompareToOther_result.1 }}% </i> of the campaigns have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getCampaignNumOfAnswersCompareToOther_result.1 }}% </i> of the campaigns have more</span>
                    {% endif %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {% elif model_name == "task" %}
      <div class="row changeform-top">
        <div class="col-md-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>Workers' Answers</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            
            {% getTaskAnswers user.id as taskAnswers_result %}
            <div class="x_content">
              <div class="row">
                <div class="col-sm-12">
                  <table class="table table-striped">
                    <thead>
                      <tr>
                        <th scope="col" class="column-name">
                          <div class="text">Worker</div>
                          <div class="clear"></div>
                        </th>
                        <th scope="col" class="column-name">
                          <div class="text">Answer</div>
                          <div class="clear"></div>
                        </th>
                        <th scope="col" class="column-name">
                          <div class="text">Num. Answer</div>
                          <div class="clear"></div>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      {% for taskAnswers_item in taskAnswers_result %}
                        <tr class="row1">
                          <th class="field-name">{{ taskAnswers_item.worker_name }} {{ taskAnswers_item.worker_surname }}</th>
                          <th class="field-name">{{ taskAnswers_item.answer_text }}</th>
                          <th class="field-name">{{ taskAnswers_item.answer_num }}</th>
                        </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            
          </div>
        </div>
      </div>
    {% elif model_name == "worker_campaign" %}
      <div class="row changeform-top">
        <div class="col-md-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>Statistics</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            
            {% getWorkerCampaignLocalScore original.pk as getWorkerCampaignLocalScore_result %}
            {% getWorkerCampaignLocalScoreCompareToOther original.pk as getWorkerCampaignLocalScoreCompareToOther_result %}
            {% getWorkerCampaignGlobalScore original.pk as getWorkerCampaignGlobalScore_result %}
            {% getWorkerCampaignGlobalScoreCompareToOther original.pk as getWorkerCampaignGlobalScoreCompareToOther_result %}
            {% getWorkerCampaignNumOfAnswers original.pk as getWorkerCampaignNumOfAnswers_result %}
            {% getWorkerCampaignNumOfAnswersCompareToOther original.pk as getWorkerCampaignNumOfAnswersCompareToOther_result %}
            <div class="x_content">
              <div class="row statistics">
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-trophy"></i> Score in this Campaigns</span>
                  <div class="count">{{ getWorkerCampaignLocalScore_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerCampaignLocalScoreCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerCampaignLocalScoreCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerCampaignLocalScoreCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-trophy"></i> Global Score</span>
                  <div class="count">{{ getWorkerCampaignGlobalScore_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerCampaignGlobalScoreCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerCampaignGlobalScoreCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerCampaignGlobalScoreCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-bullhorn"></i> Answers in this Campaigns</span>
                  <div class="count">{{ getWorkerCampaignNumOfAnswers_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerCampaignNumOfAnswersCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerCampaignNumOfAnswersCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerCampaignNumOfAnswersCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {% elif model_name == "worker" %}
      <div class="row changeform-top">
        <div class="col-md-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>Statistics</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            
            {% getWorkerScore original.pk as getWorkerScore_result %}
            {% getWorkerScoreCompareToOther original.pk as getWorkerScoreCompareToOther_result %}
            {% getWorkerNumOfCampaigns original.pk as getWorkerNumOfCampaigns_result %}
            {% getWorkerNumOfCampaignsCompareToOther original.pk as getWorkerNumOfCampaignsCompareToOther_result %}
            {% getWorkerNumOfAnswers original.pk as getWorkerNumOfAnswers_result %}
            {% getWorkerNumOfAnswersCompareToOther original.pk as getWorkerNumOfAnswersCompareToOther_result %}
            <div class="x_content">
              <div class="row statistics">
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-trophy"></i> Score</span>
                  <div class="count">{{ getWorkerScore_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerScoreCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerScoreCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerScoreCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-comments"></i> Campaigns</span>
                  <div class="count">{{ getWorkerNumOfCampaigns_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerNumOfCampaignsCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerNumOfCampaignsCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerNumOfCampaignsCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
                <div class="col-sm-6 col-md-4 tile_count text-center">
                  <span class="count_top"><i class="fa fa-bullhorn"></i> Answers</span>
                  <div class="count">{{ getWorkerNumOfAnswers_result }}</div>
                  <span class="count_bottom">
                    {% if getWorkerNumOfAnswersCompareToOther_result.0 > 0 %}
                      <i class="green"><i class="fa fa-sort-asc"></i> {{ getWorkerNumOfAnswersCompareToOther_result.1 }}% </i> of the workers have less</span>
                    {% else %}
                      <i class="red"><i class="fa fa-sort-desc"></i> {{ getWorkerNumOfAnswersCompareToOther_result.1 }}% </i> of the workers have more</span>
                    {% endif %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {% elif model_name == "worker_task" %}
      <div class="row changeform-top">
        <div class="col-md-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>Statistics</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            
            {% getWorkerTaskWorkerData original.pk as getWorkerTaskWorkerData_result %}
            {% getWorkerTaskCorrectAnswer original.pk as getWorkerTaskCorrectAnswer_result %}
            <div class="x_content">
              <div class="row statistics">
                <div class="col-sm-6 tile_count text-center">
                  <span class="count_top"><i class="fa fa-trophy"></i> Score of worker in this campaign</span>
                  <div class="count">{{ getWorkerTaskWorkerData_result.1 }}</div>
                    {% if getWorkerTaskWorkerData_result.2 %}
                      <span class="count_bottom">Global score of worker is <i class="green">{{ getWorkerTaskWorkerData_result.0 }} <i class="fa fa-sort-asc"></i></i></span>
                    {% else %}
                      <span class="count_bottom">Global score of worker is <i class="red">{{ getWorkerTaskWorkerData_result.0 }} <i class="fa fa-sort-desc"></i></i></span>
                    {% endif %}
                </div>
                <div class="col-sm-6 tile_count text-center">
                  <span class="count_top">Worker's answer is:</span>
                  {% if getWorkerTaskCorrectAnswer_result == 0 %}
                    <div class="count">Gold Answer is empty</div>
                  {% elif getWorkerTaskCorrectAnswer_result == 1 %}
                    <div class="count green">Correct</div>
                  {% else %}
                    <div class="count red">Incorrect</div>
                  {% endif %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {% endif %}
  {% endif %}
  
  <div class="row changeform-top">
    <div class="col-md-12">
      <div class="x_panel">
        <div class="x_title">
          <h2>{{ xPanel_title }}</h2>
          <ul class="panel_toolbox text-right">
            {% block object-tools %}
              {% if change %}
                {% if not is_popup %}
                  {% block object-tools-items %}
                    <li>
                      {% url opts|admin_urlname:'history' original.pk|admin_urlquote as history_url %}
                      <a href="{% add_preserved_filters history_url %}" class="historylink" title="{% trans "History" %}"><i class="fa fa-history"></i></a>
                    </li>
                    {% if has_absolute_url %}
                      <li>
                        <a href="{{ absolute_url }}" class="viewsitelink" title="{% trans "View on site" %}"><i class="fa fa-binoculars"></i></a>
                      </li>
                    {% endif %}
                  {% endblock %}
                {% endif %}
              {% endif %}
            {% endblock %}
            <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>
        
        <div class="x_content">
          <form {% if has_file_field %}enctype="multipart/form-data" {% endif %}action="{{ form_url }}" method="post" id="{{ opts.model_name }}_form" class="changeform form-horizontal form-label-left" novalidate>{% csrf_token %}{% block form_top %}{% endblock %}
            {% if is_popup %}<input type="hidden" name="{{ is_popup_var }}" value="1" />{% endif %}
            {% if to_field %}<input type="hidden" name="{{ to_field_var }}" value="{{ to_field }}" />{% endif %}
            {% if save_on_top %}{% block submit_buttons_top %}{% submit_row %}{% endblock %}{% endif %}
            {% if errors %}
              <div class="alert alert-danger" role="alert">
                {% if errors|length == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}
              </div>
              {{ adminform.form.non_field_errors }}
            {% endif %}

            {% block field_sets %}
              {% for fieldset in adminform %}
                <fieldset class="module aligned">
                  {% if forloop.counter > 1 %}
                    <hr/>
                  {% endif %}
                  {% include "admin/includes/fieldset.html" %}
                </fieldset>
              {% endfor %}
            {% endblock %}

            {% block after_field_sets %}{% endblock %}

            {% block inline_field_sets %}
              {% for inline_admin_formset in inline_admin_formsets %}
                {% include inline_admin_formset.opts.template %}
              {% endfor %}
            {% endblock %}

            {% block after_related_objects %}{% endblock %}
            
            {% block submit_buttons_bottom %}{% submit_row %}{% endblock %}

            {% if protected_element %}
              <div class="alert alert-info alert-protected_element fade in" role="alert">
                This is a system object, you can't change it or remove it.
              </div>
            {% endif %}
            
            {% block admin_change_form_document_ready %}
              <script type="text/javascript"
                      id="django-admin-form-add-constants"
                      src="{% static 'admin/js/change_form.js' %}"
                      {% if adminform and add %}
                          data-model-name="{{ opts.model_name }}"
                      {% endif %}>
              </script>
            {% endblock %}

            {# JavaScript for prepopulated fields #}
            {% prepopulated_fields_js %}
            
            <input id="readonly_field_list" type="hidden" value="{{ readonly_field }}"/>
            <input id="readonly_inline_field_list" type="hidden" value="{{ readonly_inline_field }}"/>
            <input id="action_form" type="hidden" value="{% if adminform.form.instance.id %}update{% else %}create{% endif %}"/>
          </form>
        </div>
        
      </div>
    </div>
  </div>

  {% if model_name == "campaign" %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>Do you need to add many tasks to a campaign?<br/>You can use JSON to import all tasks with their configuration. In JSON string you can insert:</p>
                <ul>
                  <li>The Request, content and priority of your task;</li>
                  <li>The type of your task in according to the table on <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/answer_type/">this page;</a></li>
                  <li>The status of your task in according to the table on <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_status/">this page</a>;</li>
                  <li>The ID of your task in your DB;</li>
                  <li>The correct answer to your question (if it exists);</li>
                  <li>A group of setup thanks to the use of a pattern available on <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_setup_pattern/">this page</a>;</li>
                  <li>A group of skills thanks to the use of a profile available on <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/profile_skill/">this page</a>;</li>
                </ul>
                <p>JSON example (system is case insensitive):</p>
                <pre><code>{<br/>&nbsp;&nbsp;"tasks": [<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"request": "Task 1",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"content": "Description of task",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"priority": 1,<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"type": "Text",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"status": "Ready to Execute",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_origin": "Origin_ID_1",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"gold_answer": "Preselect Answer",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"pattern": "Pattern Name",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"profile": "Profile Name"<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;...<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"request": "Task 999",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"content": "Description of task",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"priority": 999,<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"type": "Choice",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"choices": {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_1": "Choice_1",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_2": "Choice_2",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_3": "Choice_3",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_4": "Choice_4",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_5": "Choice_5",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"id_6": "Choice_6"<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"status": "Ready to Execute",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"pattern": "Pattern Name",<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"profile": "Profile Name"<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;]<br/>}</code></pre>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% elif model_name == "task" %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>Do you need to add a task to a campaign?<br/>You can access the campaign edit page and upload the new task via JSON. The tasks already entered will not be modified.</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% elif model_name == "task_task_setup" and not perms.argo.add_task_setup_pattern %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>To apply a setup to a task, you must use the pattern name within the JSON to import the campaign (or manually connect the pattern to the existing task via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_task_setup/add/">this page</a>).<br/>You can see the list of available values <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_setup_pattern/">here</a>.</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% elif model_name == "task_setup" or model_name == "pattern" or model_name == "task_setup_pattern" or model_name == "task_task_setup" %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>To apply a setup to a task, you must:</p>
                <ol>
                  <li>Enter the setup name and it's value in the form of <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_setup/add/">this page</a>;</li>
                  <li>Choose or enter a new pattern via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/pattern/">this page</a>;</li>
                  <li>Link the chosen pattern to the newly created setup via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/pattern/">this page</a>;</li>
                  <li>Use the pattern name within the JSON to import the campaign (or manually connect the pattern to the existing task via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_task_setup/add/">this page</a>).</li>
                </ol>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% elif model_name == "task_skill" and not perms.argo.add_task_setup_pattern %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>To apply a skill to a task, you must use the profile name within the JSON to import the campaign (or manually connect the pattern to the existing task via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_skill/add/">this page</a>).<br/>You can see the list of available values <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/profile_skill/">here</a>.</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% elif model_name == "skill" or model_name == "profile" or model_name == "profile_skill" or model_name == "task_skill" %}
    <div class="row changeform-top">
      <div class="col-md-12">
        <div class="x_panel">
          <div class="x_title">
            <h2>Help</h2>
            <ul class="panel_toolbox text-right">
              <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
            </ul>
          </div>
          
          <div class="x_content">
            <div class="row help">
              <div class="col-md-12">
                <p>To apply a skill to a task, you must:</p>
                <ol>
                  <li>Enter the skill name and it's value in the form of <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/skill/add/">this page</a>;</li>
                  <li>Choose or enter a new profile via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/profile/">this page</a>;</li>
                  <li>Link the chosen profile to the newly created skill via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/profile_skill/">this page</a> (each profile can be linked to different skills);</li>
                  <li>Use the profile name within the JSON to import the campaign (or manually connect the skill to the existing task via <a target="_blank" href="/admin/{% settings_value "APP_NAME" %}/task_skill/add/">this page</a>).</li>
                </ol>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% endif %}
  
  <script type="text/javascript">
  (function($) {
    $(document).on('formset:added', function(event, $row, formsetName) {
      /* MANAGE REMOVE LINK */
      $('.js-inline-admin-formset a.inline-deletelink').addClass('btn btn-danger');
      $('.js-inline-admin-formset a.inline-deletelink').html('Remove'); 
      $($row).find('a.inline-deletelink').parent('span').wrap('<div class="col-sm-12"></div>');
      
      $('.js-inline-admin-formset a.inline-deletelink').mouseenter(function() {
        $(this).parents('.inline-related').addClass('inline-related-remove');
      });
      $('.js-inline-admin-formset a.inline-deletelink').mouseleave(function() {
        $(this).parents('.inline-related').removeClass('inline-related-remove');
      });
      /* MANAGE REMOVE LINK */
      
      /* MANAGE NEW "inline-related" ELEMENT */
      $('.js-inline-admin-formset .inline-related .inline-related-empty-hover').remove();
      $('.js-inline-admin-formset .inline-related.empty-form').append('<div class="inline-related-empty-hover" title="Click to add another"></div>');
      $('.js-inline-admin-formset .inline-related.empty-form .inline-related-empty-hover').click(function(e) {
        var currentformsetName = $(e.target).parents('.js-inline-admin-formset').attr('id');
        $('.js-inline-admin-formset#' + currentformsetName + ' .add-row a').trigger('click');
      });
      /* MANAGE NEW "inline-related" ELEMENT */
      
      /* UPDATE COUNTER */
      var count = $('#id_' + formsetName + '-TOTAL_FORMS').val();
      $('.js-inline-admin-formset#' + formsetName + '-group .inline-count').text(count);
      /* UPDATE COUNTER */
      
      //$($row).find('select').select2();
    });
    
    $(document).on('formset:removed', function(event, $row, formsetName) {
      /* UPDATE COUNTER */
      var count = $('#id_' + formsetName + '-TOTAL_FORMS').val();
          count = count-1;
      $('.js-inline-admin-formset#' + formsetName + '-group .inline-count').text(count);
      /* UPDATE COUNTER */
    });
  })(django.jQuery);
  </script>
{% endblock %}